Skip to content
Fulfillment & ShippingFulfillment

Update shipment tracking

Changes number, link and carrier if expectedVersion matches; returns the fulfillment order.

PATCH/v1/fulfillment/orders/{id}/shipments/{shipmentId}/tracking
Requires an access token with the shipment:update permission.

Path Parameters

id*string

Unique identifier of the resource.

shipmentId*string

Identifier of the shipment.

Header Parameters

x-Store-Id?string

Store the request acts on. Not needed when the token is bound to a store.

Authorization*string

OAuth 2.0 bearer token.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X PATCH "https://api.ecomiq.pe/api/v1/fulfillment/orders/7204558912004325350/shipments/7204558912004327602/tracking" \  -H "x-Store-Id: <store-id>" \  -H "Authorization: Bearer <token>" \  -H "Content-Type: application/json" \  -d '{    "expectedVersion": 3,    "trackingNumber": "PE1234567890",    "trackingLink": "https://tracking.example.com/PE1234567890",    "carrierName": "Courier Lima"  }'
{  "id": "7204558912004325350",  "orderId": "7204558912004325350",  "orderNumber": "ORD-2026-0001",  "locationId": "7204558912004328277",  "locationName": "Mi tienda",  "status": "pendingAssignment",  "shipmentOriginKind": "manual",  "shippingConnectionId": "7204558912004329148",  "packageId": "7204558912004325646",  "shipmentId": "7204558912004327602",  "trackingNumber": "PE1234567890",  "trackingLink": "https://tracking.example.com/PE1234567890",  "labelUrl": "https://mi-tienda.ecomiq.app/products/polo-de-algodon",  "carrierName": "Courier Lima",  "items": [    {      "orderItemId": "7204558912004328121",      "productId": "7204558912004322039",      "variantId": "7204558912004323197",      "title": "Polo de algodón",      "sku": "POL-001-AZ-M",      "quantity": 2,      "shippedQuantity": 2,      "remainingQuantity": 2,      "committedQuantity": 2    }  ],  "shipments": [    {      "id": "7204558912004325350",      "originKind": "manual",      "shippingConnectionId": "7204558912004329148",      "packageId": "7204558912004325646",      "shipmentId": "7204558912004327602",      "trackingNumber": "PE1234567890",      "trackingLink": "https://tracking.example.com/PE1234567890",      "labelUrl": "https://mi-tienda.ecomiq.app/products/polo-de-algodon",      "carrierName": "Courier Lima",      "items": [        {          "orderItemId": "7204558912004328121",          "sku": "POL-001-AZ-M",          "quantity": 2,          "weight": 0.3,          "weightUnit": "kilogram"        }      ],      "createdOn": "2026-09-28T15:30:00Z"    }  ],  "createdOn": "2026-09-28T15:30:00Z",  "updatedOn": "2026-09-28T15:30:00Z"}